﻿using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using Syncfusion.Linq;
using System.Web;
using System.Web.Mvc;
using System.Data;
using System.ComponentModel.DataAnnotations;
using MvcApplication66.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.Models;
using System.Web.Script.Serialization;
using System.Reflection;
using System.Diagnostics;
using Newtonsoft.Json;
using System.Xml;

namespace MvcApplication66.Controllers
{
    public class HomeController : Controller
    {
        List<Orders> order = new List<Orders>();
        public ActionResult Index()
        {
            BindDataSource();
            ViewBag.datasource = order;
            return View();
        }
        private void BindDataSource()
        {
            int code = 1000;
            order.Add(new Orders(code + 1, "ALFKI", 1, 2.3, "Mumbari", "Berlin"));
            order.Add(new Orders(code + 2, "ANATR", 2, 3.3, "Sydney", "Madrid"));
            order.Add(new Orders(code + 3, "ANTON", 3, 4.3, "NY", "Cholchester"));
            order.Add(new Orders(code + 4, "BLONP", 4, 5.3, "LA", "Marseille"));

        }
        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, string ShipCountry, string ShipCity)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.ShipCountry = ShipCountry;
                this.ShipCity = ShipCity;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public string ShipCountry { get; set; }
            public string ShipCity { get; set; }
        }
    }
}